package DB;
public class WarningsHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_alias_tc( DB.WarningsHelper.id(),"Warnings",org.omg.CORBA.ORB.init().create_sequence_tc(0, org.omg.CORBA.ORB.init().create_struct_tc(DB.WarningHelper.id(),"Warning",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("sqlcode",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(3)),null),new org.omg.CORBA.StructMember("sqlstate",org.omg.CORBA.ORB.init().create_string_tc(5),null),new org.omg.CORBA.StructMember("sqlmessage",org.omg.CORBA.ORB.init().create_string_tc(255),null)})));
	public WarningsHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, DB.Warning[] s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static DB.Warning[] extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:DB/Warnings:1.0";
	}
	public static DB.Warning[] read(org.omg.CORBA.portable.InputStream _in)
	{
		DB.Warning[] _result;
		int _l_result = _in.read_long();
		_result = new DB.Warning[_l_result];
		for(int i=0;i<_result.length;i++)
		{
			_result[i]=DB.WarningHelper.read(_in);
		}

		return _result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream _out, DB.Warning[] _s)
	{
		
		_out.write_long(_s.length);
		for( int i=0; i<_s.length;i++)
		{
			DB.WarningHelper.write(_out,_s[i]);
		}

	}
}
